Public Class frmKdVermerkAdd
    Public KdNr As Integer
    Public art As String

    Sub New(KdNr, art)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.KdNr = KdNr
        Me.art = art
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Private Sub btnHinzufugen_Click(sender As Object, e As EventArgs) Handles btnHinzufugen.Click
        If MyTextBox1.Text = "" Then Me.DialogResult = Windows.Forms.DialogResult.None : Exit Sub
        cKundenVermerke.INSERT(KdNr, MyComboBox1._value, MyTextBox1.Text)
    End Sub

    Private Sub frmKdVermerkAdd_Load(sender As Object, e As EventArgs) Handles Me.Load
        lblSB.Text = cAllgemein.USRKURZNAME

        MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ZOLL", "ZOLL"))
        MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ZOLLTARIF", "ZOLLTARIF"))
        MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERRECHNUNG", "VERRECHNUNG"))
        MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("BUCHHALTUNG", "BUCHHALTUNG"))
        MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("FISKAL", "FISKAL"))
        MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("QUICKSTOP", "QUICKSTOP"))
        MyComboBox1.SelectedIndex = 0
        If art <> "" Then
            MyComboBox1.changeItem(art)
            MyComboBox1.Enabled = False
        End If
    End Sub
End Class